# Replace user attributes

Replace user attributes using SCIM protocol. <br><br>**Required permissions**: `apps:edit`, `[appId]:edit`, `users:edit`.

Endpoint: PUT /scim/Users/{user_id}
Security: ClientAccessToken

## Path parameters:

  - `user_id` (string, required)
    ID of the user

## Header parameters:

  - `Accept` (string, required)
    application/scim+json

  - `Content-Type` (string, required)
    application/scim+json

## Request fields (application/json):

  - `name` (object)
    Full name

  - `name.honorificPrefix` (string)
    Title

  - `name.givenName` (string)
    User's first name

  - `name.familyName` (string)
    User's last name

  - `name.middleName` (string)
    User's middle name

  - `preferredLanguage` (string)
    The preferred language of the user

  - `emails` (array)
    The emails for the user

  - `emails.value` (string, required)
    Email

  - `emails.primary` (boolean)
    Indicates if email is the primary email of the user

  - `phoneNumbers` (array)
    The phone numbers for the user

  - `phoneNumbers.value` (string, required)
    Phone number

  - `phoneNumbers.primary` (boolean)
    Indicates if phone number is the primary phone number of the user

  - `photos` (array)
    The photos for the user, only 1 can be sent

  - `addresses` (array)
    The addresses for the user, only 1 can be stored

  - `addresses.streetAddress` (string)
    The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information

  - `addresses.locality` (string)
    The city or locality component

  - `addresses.region` (string)
    The state or region component

  - `addresses.postalCode` (string)
    The zip code or postal code component

  - `addresses.country` (string)
    The country name component

  - `schemas` (array, required)
    One or more schemas that are used in the API call. The core schema 'urn:ietf:params:scim:schemas:core:2.0:User' must be always specified.

  - `urn:ietf:params:scim:schemas:extension:CustomAppData:2.0:User` (object)
    Custom app data object for app-related user info

  - `externalId` (string)
    A unique identifier in a tenant

  - `active` (boolean)
    A Boolean value indicating the user's administrative status

  - `custom_user_fields` (object)
    Custom user fields defined by the tenant schema

  - `userName` (string)
    Unique identifier for the user

  - `password` (string)
    The password for the user

  - `hashed_password` (object)
    The hashed password for the user

  - `hashed_password.password` (string, required)

  - `hashed_password.salt` (string)

  - `hashed_password.algorithm` (string, required)
    Hash type of the hashed password
    Enum: "argon2", "firebaseScrypt", "bcrypt", "sha", "sha1", "sha2", "md5", "smd5", "sha512", "ssha", "ssha256", "ssha512", "sha256", "aholdLegacySha256", "drupalPhpass"

## Response 200 fields (application/json):

  - `schemas` (array, required)
    List of included SCIM schemas that are used to indicate the attributes contained within a resource.

  - `userName` (string, required)
    Unique identifier of the user. In Transmit, the username can be used for password authentication unless a primary email is used instead.

  - `name` (object)
    Full name

  - `name.honorificPrefix` (string)
    Title

  - `name.givenName` (string)
    User's first name

  - `name.familyName` (string)
    User's last name

  - `name.middleName` (string)
    User's middle name

  - `displayName` (string)
    The name of the user, suitable for display to end-users

  - `preferredLanguage` (string)
    Indicates the user's preferred written or spoken languages and is
      generally used for selecting a localized user interface

  - `active` (boolean)
    A Boolean value indicating the user's administrative status

  - `emails` (array)
    Email addresses for the user.

  - `phoneNumbers` (array)
    Phone numbers for the user.

  - `photos` (array)
    A URI that is a uniform resource locator (as defined in Section 1.1.3 of [RFC3986]) that points to a resource location representing the user's image.

  - `addresses` (array)
    The user's addresses

  - `id` (string, required)
    The ID of the user

  - `externalId` (string)
    The external ID of the user

  - `meta` (object, required)
    A complex attribute containing resource metadata

  - `meta.resourceType` (string)
    Resource type

  - `meta.created` (string)
    The date time that the resource was created

  - `meta.lastModified` (string)
    The date time that the resource was last modified

  - `meta.location` (string)
    The URI of the resource

  - `custom_user_fields` (object)
    Custom user fields defined by the tenant schema

  - `urn:ietf:params:scim:schemas:extension:CustomAppData:2.0:User` (object)
    Custom app data object for app-related user info

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User` (object, required)
    Extended user fields

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.status` (string, required)
    Enum: "Active", "Disabled", "Pending"

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.lastAuth` (string, required)
    The last time the user authenticated

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation` (object, required)
    Password information

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation.expired` (boolean, required)
    Whether the password is currently expired

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation.temporary` (boolean, required)
    Whether the password must be reset after first use

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation.updated_at` (number, required)
    The date the password was last updated, as unix epoch in milliseconds

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation.expires_in` (string)
    The date the password will be expired

## Response 409 fields (application/json):

  - `schemas` (string, required)

  - `status` (number, required)
    Example: 404

  - `detail` (any)

